import javafx.application.Application
import javafx.scene.Scene
import javafx.scene.control.Label
import javafx.scene.layout.VBox
import javafx.stage.Stage

/**
 * @author carl
 */

class HelloWorldFXApp : Application() {

    override fun start(primaryStage: Stage?) {

        val vbox = VBox()
        val label = Label("Hello, World!")
        
        vbox.children.add( label )

        val scene = Scene( vbox )

        primaryStage!!.scene = scene
        primaryStage.show()

    }

    companion object {
        @JvmStatic
        fun main(args: Array<String>) {
            launch(HelloWorldFXApp::class.java)
        }
    }
}

